SwiftLibrary (Gradle API 4.10.1)
Date: 2018-09-12

org.gradle.language.swift

## Interface SwiftLibrary

- All Superinterfaces:
    ComponentWithBinaries, ComponentWithDependencies, Named, ProductionComponent, ProductionSwiftComponent, SoftwareComponent, SwiftComponent

      @Incubating
      public interface SwiftLibrary
      extends ProductionSwiftComponent

  Configuration for a Swift library, defining the source files that make up the library plus other settings.

  An instance of this type is added as a project extension by the Swift library plugin.

  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getApiDependencies()` Returns the API dependencies of this library.
    `LibraryDependencies` | `getDependencies()` Returns the dependencies of this library.
    `SetProperty<Linkage>` | `getLinkage()` Returns the list of linkage of this library.

    - ### Methods inherited from interface org.gradle.language.swift.ProductionSwiftComponent

      `getDevelopmentBinary`

    - ### Methods inherited from interface org.gradle.language.swift.SwiftComponent

      `getBinaries, getImplementationDependencies, getModule, getOperatingSystems, getSource, getSourceCompatibility, getSwiftSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDependencies

          LibraryDependencies getDependencies()

      Returns the dependencies of this library.
      Specified by:
        `getDependencies` in interface `ComponentWithDependencies`
      Since:
        4.6

    - #### getApiDependencies

          Configuration getApiDependencies()

      Returns the API dependencies of this library.

    - #### getLinkage

          SetProperty<Linkage> getLinkage()

      Returns the list of linkage of this library.
      Since:
        4.5